Bug 1933600 - firefox-86.0-2 crashes on start
Summary: firefox-86.0-2 crashes on start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-01 08:34 UTC by paul59584
Modified: 2021-03-08 20:14 UTC (History)
9 users (show)

Fixed In Version: firefox-86.0-7.fc33 firefox-86.0-7.fc34 firefox-86.0-7.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 20:10:27 UTC
Type: Bug


Attachments (Terms of Use)
backtrace re. request in comment 3 (36.49 KB, text/plain)
2021-03-01 21:11 UTC, paul59584
no flags Details

Description paul59584 2021-03-01 08:34:14 UTC
Description of problem:

Since upgrading to Firefox 86 I can not start Firefox anymore. Firefox crashes with the standard crash handler dialog immediately, and can not even start in safe mode. 
Starting from cmdl shows:
ExceptionHandler::GenerateDump cloned child 25705
ExceptionHandler::SendContinueSignalToChild sent continue signal to child
ExceptionHandler::WaitForContinueSignal waiting for continue signal...

This appears to be the same as https://bugs.archlinux.org/task/69821 which is solved.

Version-Release number of selected component (if applicable):
firefox-86.0-2
downgrading to versions 81.0.1-1 or 85.0.1-1 results in a working browser again. Upgrading again to v 86 breaks it again.

How reproducible:
Always

Steps to Reproduce:
1. Install firefox-86.0-2
2. Try to start it -> fail
3.

Actual results:
Firefox 86 won't start

Expected results:
Firefox 86 should start

Additional info:
Appears to be fixed in ArchLinux with a patch from a known bug, see https://bugs.archlinux.org/task/69821

Comment 1 paul59584 2021-03-01 08:51:23 UTC
Probably should have mentioned this is on a MacBookPro8,1 on X11 (not wayland)
Please let me know if you need more info.
I think the crash reporter submitted a report but can't find an ID for it. Just:
$ cat ~/.mozilla/firefox/Crash\ Reports/submit.log 
[Sun 28 Feb 2021 18:03:54] Crash report submitted successfully
[Sun 28 Feb 2021 18:03:56] Crash report submitted successfully
Is NZDT time.

Comment 2 Martin Stransky 2021-03-01 15:36:44 UTC
Which nss version do you have installed? Please try to update to nss 3.62 package.

Comment 4 paul59584 2021-03-01 21:11:07 UTC
Created attachment 1760080 [details]
backtrace re. request in comment 3

Comment 5 paul59584 2021-03-01 21:12:13 UTC
Hi Martin,

nss 3.62 was already installed.

Got backtrace with gdb, file "crash_bt_1" attached.
After running "firefox -g -d gdb" the message "Missing separate debuginfos, use: dnf debuginfo-install firefox-86.0-2.fc33.x86_64" is displayed.
I ignored and ran the rest of the commands anyway.

After this I tried installing debuginfo packages and running again but seemed to get less output than before, e.g.
Thread 1 "firefox" received signal SIGSEGV, Segmentation fault.
MOZ_Crash () at /usr/src/debug/firefox-86.0-2.fc33.x86_64/objdir/dist/include/mozilla/Assertions.h:254
254	  MOZ_REALLY_CRASH(aLine);

with crash_bt just containing:
This is a bug, please report it.  For instructions, see:
<https://www.gnu.org/software/gdb/bugs/>.
Command aborted.


The following is output of running after debuginfo packages installed:

$ firefox -g -d gdb
  LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
DISPLAY=:1
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
     LIBRARY_PATH=
       SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
          LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
       ADDON_PATH=
      MOZ_PROGRAM=/usr/lib64/firefox/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=gdb
moz_debugger_args=
/usr/bin/gdb  --args /usr/lib64/firefox/firefox
GNU gdb (GDB) Fedora 10.1-2.fc33
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib64/firefox/firefox...
Reading symbols from /usr/lib/debug/usr/lib64/firefox/firefox-86.0-2.fc33.x86_64.debug...
(gdb) run
Starting program: /usr/lib64/firefox/firefox 
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.32-4.fc33.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7ffff77ff640 (LWP 39017)]
[Thread 0x7ffff77ff640 (LWP 39017) exited]
[Detaching after fork from child process 39018]
[Detaching after fork from child process 39019]
[New Thread 0x7ffff77ff640 (LWP 39024)]
[New Thread 0x7fffe00bb640 (LWP 39025)]
[New Thread 0x7fffdecdc640 (LWP 39026)]
[New Thread 0x7fffda7ff640 (LWP 39027)]
[New Thread 0x7fffda7be640 (LWP 39028)]
[New Thread 0x7fffda77d640 (LWP 39029)]
[New Thread 0x7fffda73c640 (LWP 39030)]
[New Thread 0x7fffda4ff640 (LWP 39031)]
[Detaching after fork from child process 39032]
[New Thread 0x7fffdf8ba640 (LWP 39033)]
[New Thread 0x7fffd9cfe640 (LWP 39034)]
[New Thread 0x7fffd9aff640 (LWP 39035)]
[New Thread 0x7fffd9900640 (LWP 39036)]
[New Thread 0x7fffd9701640 (LWP 39037)]
[New Thread 0x7fffda6fb640 (LWP 39059)]
[Thread 0x7fffda4ff640 (LWP 39031) exited]
[New Thread 0x7fffda6ba640 (LWP 39063)]
[New Thread 0x7fffda939640 (LWP 39064)]
[New Thread 0x7fffda679640 (LWP 39065)]
[New Thread 0x7fffd89ff640 (LWP 39066)]
[New Thread 0x7fffd89be640 (LWP 39067)]
[New Thread 0x7fffda4ff640 (LWP 39068)]
[New Thread 0x7fffd6fbe640 (LWP 39069)]
[New Thread 0x7fffd67bd640 (LWP 39070)]
[New Thread 0x7fffd5fbc640 (LWP 39071)]
[New Thread 0x7fffd7495640 (LWP 39072)]
[New Thread 0x7fffd53be640 (LWP 39073)]
[New Thread 0x7fffd4bbd640 (LWP 39074)]
[New Thread 0x7fffd43bc640 (LWP 39075)]
[New Thread 0x7fffd39ff640 (LWP 39076)]
[New Thread 0x7fffd7454640 (LWP 39077)]
[New Thread 0x7fffd31fe640 (LWP 39078)]
[New Thread 0x7fffd2ffd640 (LWP 39079)]
[New Thread 0x7fffd2bff640 (LWP 39080)]
[New Thread 0x7fffd27ff640 (LWP 39081)]
[New Thread 0x7fffd22ff640 (LWP 39082)]
[New Thread 0x7fffd20fe640 (LWP 39083)]
[New Thread 0x7fffd1cff640 (LWP 39084)]
[New Thread 0x7fffd18ff640 (LWP 39085)]
[New Thread 0x7fffd3bbb640 (LWP 39086)]
Missing separate debuginfos, use: dnf debuginfo-install PackageKit-gtk3-module-1.2.2-2.fc33.x86_64 at-spi2-atk-2.38.0-1.fc33.x86_64 at-spi2-core-2.38.0-2.fc33.x86_64 atk-2.36.0-2.fc33.x86_64 bzip2-libs-1.0.8-4.fc33.x86_64 cairo-1.16.0-9.fc33.x86_64 cairo-gobject-1.16.0-9.fc33.x86_64 dbus-glib-0.110-10.fc33.x86_64 dbus-libs-1.12.20-2.fc33.x86_64 expat-2.2.8-3.fc33.x86_64 flac-libs-1.3.3-4.fc33.x86_64 fontconfig-2.13.92-12.fc33.x86_64 freetype-2.10.4-1.fc33.x86_64 fribidi-1.0.10-3.fc33.x86_64 gdk-pixbuf2-2.42.2-2.fc33.x86_64 glib2-2.66.7-1.fc33.x86_64 graphite2-1.3.14-6.fc33.x86_64 gsm-1.0.19-3.fc33.x86_64 gtk3-3.24.26-1.fc33.x86_64 gvfs-client-1.46.2-1.fc33.x86_64 harfbuzz-2.7.2-1.fc33.x86_64 libICE-1.0.10-4.fc33.x86_64 libX11-1.6.12-3.fc33.x86_64 libX11-xcb-1.6.12-3.fc33.x86_64 libXau-1.0.9-4.fc33.x86_64 libXcomposite-0.4.5-3.fc33.x86_64 libXcursor-1.2.0-3.fc33.x86_64 libXdamage-1.1.5-3.fc33.x86_64 libXext-1.3.4-4.fc33.x86_64 libXfixes-5.0.3-12.fc33.x86_64 libXi-1.7.10-4.fc33.x86_64 libXinerama-1.1.4-6.fc33.x86_64 libXrandr-1.5.2-4.fc33.x86_64 libXt-1.2.0-2.fc33.x86_64 libXtst-1.2.3-12.fc33.x86_64 libXxf86vm-1.1.4-14.fc33.x86_64 libasyncns-0.8-19.fc33.x86_64 libbrotli-1.0.9-3.fc33.x86_64 libcanberra-gtk3-0.30-23.fc33.x86_64 libcap-2.48-2.fc33.x86_64 libdatrie-0.2.9-12.fc33.x86_64 libdrm-2.4.102-2.fc33.x86_64 libepoxy-1.5.5-1.fc33.x86_64 libffi-3.1-26.fc33.x86_64 libgcc-10.2.1-9.fc33.x86_64 libgcrypt-1.8.7-1.fc33.x86_64 libglvnd-1.3.2-2.fc33.x86_64 libglvnd-glx-1.3.2-2.fc33.x86_64 libmount-2.36.1-1.fc33.x86_64 libpciaccess-0.16-3.fc33.x86_64 libselinux-3.1-2.fc33.x86_64 libstdc++-10.2.1-9.fc33.x86_64 libtdb-1.4.3-5.fc33.x86_64 libthai-0.1.28-5.fc33.x86_64 libuuid-2.36.1-1.fc33.x86_64 libwayland-client-1.18.0-2.fc33.x86_64 libwayland-cursor-1.18.0-2.fc33.x86_64 libxkbcommon-1.0.1-1.fc33.x86_64 libxml2-2.9.10-8.fc33.x86_64 libxshmfence-1.3-7.fc33.x86_64 libzstd-1.4.7-1.fc33.x86_64 nspr-4.29.0-1.fc33.x86_64 nss-mdns-0.14.1-9.fc33.x86_64 nss-util-3.62.0-1.fc33.x86_64 pango-1.48.2-1.fc33.x86_64 pcre-8.44-2.fc33.x86_64 pcre2-10.36-4.fc33.x86_64 pixman-0.40.0-2.fc33.x86_64 sssd-client-2.4.2-2.fc33.x86_64 systemd-libs-246.10-1.fc33.x86_64 xz-libs-5.2.5-4.fc33.x86_64 zlib-1.2.11-23.fc33.x86_64
--Type <RET> for more, q to quit, c to continue without paging--

Thread 1 "firefox" received signal SIGSEGV, Segmentation fault.
MOZ_Crash () at /usr/src/debug/firefox-86.0-2.fc33.x86_64/objdir/dist/include/mozilla/Assertions.h:254
254	  MOZ_REALLY_CRASH(aLine);



Thanks, please let me know if I need to do anything else or have done something wrong

Comment 6 paul59584 2021-03-03 11:28:28 UTC
Appears to be a problem in Ubuntu and debian as well,
Ubuntu 18.04 KDE discussed in Reddit thread here: https://www.reddit.com/r/firefox/comments/lv4acx/firefox_crashes_on_startup/
Debian Buster discussed here: https://support.mozilla.org/bm/questions/1327174  (apparently solved in version 87.b03)

Comment 7 paul59584 2021-03-03 11:43:14 UTC
I think it's this https://bugzilla.mozilla.org/show_bug.cgi?id=1694670
So I will stop bothering you guys now and just wait for 87 to come out, thanks.

Comment 8 Martin Stransky 2021-03-03 13:55:21 UTC
You're right, Thanks! I'll backport that to FF 86.0 and ship an update for it.

Comment 9 Martin Stransky 2021-03-03 13:59:33 UTC
Added to 86.0-7 builds.

Comment 10 Fedora Update System 2021-03-03 21:40:53 UTC
FEDORA-2021-43088486b2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-43088486b2

Comment 11 Fedora Update System 2021-03-03 21:40:54 UTC
FEDORA-2021-578907b183 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-578907b183

Comment 12 Fedora Update System 2021-03-03 21:40:55 UTC
FEDORA-2021-f4a3b9b748 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4a3b9b748

Comment 13 Fedora Update System 2021-03-03 23:05:16 UTC
FEDORA-2021-43088486b2 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-43088486b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-43088486b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-03-03 23:53:40 UTC
FEDORA-2021-f4a3b9b748 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f4a3b9b748`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4a3b9b748

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 paul59584 2021-03-04 04:37:28 UTC
Excellent, thankyou. firefox-86.0-7.fc33.x86_64 is working for me

Comment 16 Fedora Update System 2021-03-04 16:57:28 UTC
FEDORA-2021-578907b183 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-578907b183`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-578907b183

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-03-04 20:10:27 UTC
FEDORA-2021-f4a3b9b748 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-06 05:35:59 UTC
FEDORA-2021-578907b183 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-03-08 20:14:36 UTC
FEDORA-2021-43088486b2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.